Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12
Interface LibStatusCode

public interface LibStatusCode

Constants for second-level codes for samlp:StatusCode elements that are defined in the Liberty ID-FF namespace.

Field Summary
`static java.lang.String` | `FEDERATION_DOES_NOT_EXIST` Used by an identity provider to indicate that the Principal has not federated his or her identity with the service provider, and the service provider indicated a requirement for federation.
`static java.lang.String` | `INVALID_ASSERTION_CONSUMER_SERVICE_INDEX` Used by an identity provider to indicate that the AssertionConsumerServiceURL could not be located in the SPDescriptor using the provided ID attribute.
`static java.lang.String` | `NO_AUTHN_CONTEXT` Used by an identity provider to indicate that the specified authentication context information in the request prohibits authentication from taking place.
`static java.lang.String` | `NO_AVAILABLE_IDP` Used by an intermediary to indicate that none of the supported identity provider URLs from the <IDPList> can be resolved or that none of the supported identity providers are available.
`static java.lang.String` | `NO_PASSIVE` Used by an identity provider or an intermediary to indicate that authentication of the Principal requires interaction and cannot be performed passively.
`static java.lang.String` | `NO_SUPPORTED_IDP` Used by an intermediary to indicate that none of the identity providers are supported by the intermediary.
`static java.lang.String` | `PROXY_COUNT_EXCEEDED` Used by an identity provider to indicate that it cannot authenticate the principal itself, and was not permitted to relay the request further.
`static java.lang.String` | `UNKNOWN_PRINCIPAL` Used by an identity provider to indicate that the Principal is not known to it.
`static java.lang.String` | `UNSIGNED_AUTHN_REQUEST` Used by an identity provider to indicate that the requesting provider's AuthnRequestsSigned metadata value is "true", but the request was not signed.
`static java.lang.String` | `UNSUPPORTED_PROFILE` Used by an identity provider to indicate that the service provider should retry the request with a different profile.

Field Detail

### FEDERATION_DOES_NOT_EXIST

    public static final java.lang.String FEDERATION_DOES_NOT_EXIST

  Used by an identity provider to indicate that the Principal has not federated his or her identity with the service provider, and the service provider indicated a requirement for federation.
  See Also:
    Constant Field Values

### UNKNOWN_PRINCIPAL

    public static final java.lang.String UNKNOWN_PRINCIPAL

  Used by an identity provider to indicate that the Principal is not known to it. This MAY be accompanied by an introduction assertion and an <IntroductionArtifact> element inside the <samlp:StatusDetail> element.
  See Also:
    Constant Field Values

### NO_AUTHN_CONTEXT

    public static final java.lang.String NO_AUTHN_CONTEXT

  Used by an identity provider to indicate that the specified authentication context information in the request prohibits authentication from taking place.
  See Also:
    Constant Field Values

### NO_PASSIVE

    public static final java.lang.String NO_PASSIVE

  Used by an identity provider or an intermediary to indicate that authentication of the Principal requires interaction and cannot be performed passively.
  See Also:
    Constant Field Values

### PROXY_COUNT_EXCEEDED

    public static final java.lang.String PROXY_COUNT_EXCEEDED

  Used by an identity provider to indicate that it cannot authenticate the principal itself, and was not permitted to relay the request further.
  See Also:
    Constant Field Values

### NO_AVAILABLE_IDP

    public static final java.lang.String NO_AVAILABLE_IDP

  Used by an intermediary to indicate that none of the supported identity provider URLs from the <IDPList> can be resolved or that none of the supported identity providers are available.
  See Also:
    Constant Field Values

### NO_SUPPORTED_IDP

    public static final java.lang.String NO_SUPPORTED_IDP

  Used by an intermediary to indicate that none of the identity providers are supported by the intermediary.
  See Also:
    Constant Field Values

### INVALID_ASSERTION_CONSUMER_SERVICE_INDEX

    public static final java.lang.String INVALID_ASSERTION_CONSUMER_SERVICE_INDEX

  Used by an identity provider to indicate that the AssertionConsumerServiceURL could not be located in the SPDescriptor using the provided ID attribute.
  See Also:
    Constant Field Values

### UNSUPPORTED_PROFILE

    public static final java.lang.String UNSUPPORTED_PROFILE

  Used by an identity provider to indicate that the service provider should retry the request with a different profile.
  See Also:
    Constant Field Values

### UNSIGNED_AUTHN_REQUEST

    public static final java.lang.String UNSIGNED_AUTHN_REQUEST

  Used by an identity provider to indicate that the requesting provider's AuthnRequestsSigned metadata value is "true", but the request was not signed.
  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.